//
//  iPhoneVideoTutViewController.m
//  iPhoneVideoTut
//
//  Created by Sam  keene on 16/07/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "iPhoneVideoTutViewController.h"

@implementation iPhoneVideoTutViewController

@synthesize moviePlayer, playVideoButton;

- (void)viewDidAppear:(BOOL)animated {
    NSLog(@"VIEW DID LOAD");
    // Register to receive a notification that the movie is now in memory and ready to play
	[[NSNotificationCenter defaultCenter] addObserver:self 
                                             selector:@selector(movieLoadStateDidChange:) 
                                                 name:MPMoviePlayerLoadStateDidChangeNotification 
                                               object:nil];

}

-(void)movieLoadStateDidChange:(id)sender{
    NSLog(@"STATE CHANGED");
    if(MPMovieLoadStatePlaythroughOK ) {
        NSLog(@"State is Playable OK");
        NSLog(@"Enough data has been buffered for playback to continue uninterrupted..");
        aiv.hidden = YES;
        [aiv stopAnimating];
    }
    
}


-(IBAction)playMovieButtonPressed:(id)sender{
    
    aiv = [[[UIActivityIndicatorView alloc] initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleWhiteLarge]autorelease];
    aiv.frame = CGRectMake(0.0, 0.0, 40.0, 40.0);
    aiv.center = self.view.center;
    [self.view addSubview:aiv];
    [aiv startAnimating];
     
    NSURL *movieURL = [NSURL URLWithString:@"http://www.samkeeneinteractivedesign.com/videos/littleVid3.mp4"];
	self.moviePlayer = [[[MPMoviePlayerController alloc] initWithContentURL:movieURL]autorelease];
    self.moviePlayer.controlStyle = MPMovieControlStyleFullscreen;
    [self.moviePlayer.view setFrame:self.view.bounds];
    [self.view addSubview:self.moviePlayer.view];
    //insert the video player below the aiv
    [self.view insertSubview:self.moviePlayer.view belowSubview:aiv];
    [self.moviePlayer play];
}

- (void)dealloc
{
    [playVideoButton release];
    [moviePlayer release];
    [super dealloc];
}

@end
